import { screen, render, RenderResult } from '@testing-library/react';
import { NavBar } from './NavBar.component';

const renderComponent = (): RenderResult => render(<NavBar />);

describe('NavBar - component', () => {
  it('Should contain navigation buttons and logos with powered by info', () => {
    renderComponent();

    expect(screen.getByTestId('nav-buttons')).toBeInTheDocument();
    expect(screen.getByTestId('nav-logos-and-powered-by')).toBeInTheDocument();
    expect(screen.getByAltText('luxembourg logo')).toBeInTheDocument();
    expect(screen.getByAltText('logo')).toBeInTheDocument();
  });
});
