import Image from 'next/image';
import { IconButton } from '@/shared/IconButton';
import logoImg from '@/assets/images/logo.png';
import luxembourgLogoImg from '@/assets/images/luxembourg-logo.png';

export const NavBar = (): JSX.Element => (
  <div className="flex items-center justify-between flex-col w-[88px] min-h-100 bg-cultured py-8">
    <div data-testid="nav-buttons">
      <div className="flex flex-col mb-8 gap-[10px]">
        <IconButton icon="info" />
        <IconButton icon="page" />
        <IconButton icon="plugin" />
        <IconButton icon="export" />
      </div>
      <div className="flex flex-col gap-[10px]">
        <IconButton icon="admin" />
        <IconButton icon="legend" />
      </div>
    </div>

    <div className="flex flex-col items-center gap-[20px]" data-testid="nav-logos-and-powered-by">
      <Image
        className="bg-white-pearl rounded-s rounded-m pb-[7px]"
        src={luxembourgLogoImg}
        alt="luxembourg logo"
        height={41}
        width={48}
      />
      <Image src={logoImg} alt="logo" height={48} width={48} />
      <span className="w-14 h-16 text-[8px] leading-4 text-center">
        Powered by: MINERVA Platform (v16.0.8)
      </span>
    </div>
  </div>
);
