import { z } from 'zod';
import { disease } from '@/models/disease';
import { organism } from '@/models/organism';
import { projectSchema } from '@/models/project';

export interface QueryOptions<Response> {
  method: 'GET' | 'POST';
  path: string;
  response: Response;
}

export interface Query<Params, Response> {
  (params: Params): QueryOptions<Response>;
}

export type Project = z.infer<typeof projectSchema>;
export type Organism = z.infer<typeof organism>;
export type Disease = z.infer<typeof disease>;
