import { useSelector } from 'react-redux';
import { selectSearchValue } from '@/redux/search/search.selectors';
import { setSearchValue } from '@/redux/search/search.slice';
import { useAppDispatch } from '@/redux/hooks/useAppDispatch';
import { getProjectById } from '@/redux/project/project.thunks';

const ReduxPage = (): JSX.Element => {
  const dispatch = useAppDispatch();
  const searchValue = useSelector(selectSearchValue);

  const triggerSyncUpdate = (): void => {
    // eslint-disable-next-line prefer-template
    const newValue = searchValue + 'test';
    dispatch(setSearchValue(newValue));
    dispatch(getProjectById('pd_map_winter_23'));
  };

  return (
    <div>
      {searchValue}
      <button type="button" onClick={triggerSyncUpdate}>
        sync update
      </button>
    </div>
  );
};

export default ReduxPage;
